Skip to main content
GET
/
v2
/
files
/
{file_id_or_path}
/
content
Core - Get download URL
curl --request GET \
  --url 'https://api.orq.ai/v2/files/file_01HZXW2K7Y8Q9M0N1P2R3S4T5V/content' \
  --header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';

const client = new Orq({
  apiKey: process.env.ORQ_API_KEY,
});

const result = await client.files.getContent({
  fileIdOrPath: 'file_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});

console.log(result.downloadUrl);
import os
from orq_ai_sdk import Orq

client = Orq(api_key=os.environ["ORQ_API_KEY"])

result = client.files.get_content(
    file_id_or_path="file_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)

print(result.download_url)
{
  "download_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id_or_path
string
required

File ID or path used to locate the file content.

Response

200 - application/json

OK

download_url
string
required

Presigned URL that can be used to download the file content.